Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 970436 - Review Request: mingw-kde-filesystem - KDE filesystem layout
Summary: Review Request: mingw-kde-filesystem - KDE filesystem layout
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 970438
TreeView+ depends on / blocked
 
Reported: 2013-06-04 03:28 UTC by Steve
Modified: 2016-01-07 13:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-07 13:25:19 UTC
msuchy: fedora-review?


Attachments (Terms of Use)

Description Steve 2013-06-04 03:28:27 UTC
Spec URL: https://www.box.com/s/oynq8j01fzcmpt8fwjxq
SRPM URL: https://www.box.com/s/oms01ttdehwg835zvppu
Description: This package provides some directories that are required/used by KDE.
This is the MinGW version of a package that Fedora already has in its repository.
Fedora Account System Username: ulatekh

Comment 1 Miroslav Suchý 2015-08-17 13:25:26 UTC
Please use macros consistently
I.e. instead of $RPM_BUILD_ROOT please use %{buildroot}.

%defattr(-,root,root,-)
This is not needed since rpm 4.2

mingw-kde-filesystem.spec:182: W: mixed-use-of-spaces-and-tabs (spaces: line 64, tab: line 182)

> # teamnames (locales) borrowed from kde-i18n packaging
> Source1: teamnames

Do you use it somewhere. It seems to me, that it is not used at all.

The same goes for:
> Source2: macros.kde4

And then you are creating dynamically
cat >$RPM_BUILD_ROOT%{mingw32_sysconfdir}/rpm/macros.kde4<<EOF

So I would suggest to put your content in macros.kde4 which you include as SourceX and the just do:
cp -a macros.kde4 %{buildroot}%{mingw32_sysconfdir}/rpm/macros.kde4

Comment 2 Miroslav Suchý 2015-10-01 10:26:58 UTC
Ping! Any progress?

Comment 3 Miroslav Suchý 2016-01-07 13:25:19 UTC
Still no progress. Closing for now. If you ever want to continue, feel free to reopen this bug or file new one.


Note You need to log in before you can comment on or make changes to this bug.